const utils = require('../utils');

module.exports = context => {
  utils.debug(`platform check: ${context.checkPlatform}`);
  if (context.checkPlatform) {
    const inWindows = utils.isInWindows();
    utils.debug(`running inside windows: ${inWindows}`);
    if (inWindows) {
      return Promise.reject(new Error('Windows environment is not supported'));
    }
  }
  return context;
};
