#!/usr/bin/env node

const path = require('path');

const update = require('../lib/update');
const utils = require('../lib/utils');

const options = {
  checkCi: true,
  checkPlatform: true,
  checkYarn: true,
  checkGit: true,
  checkVersions: true,
  updateSources: true
};

const absolutePathToFile =
  path.join(process.cwd(), 'package.json');

update(absolutePathToFile, options).catch(error => {
  utils.debug(error);
  process.exit(1);
});
