const utils = require('../utils');

module.exports = context => {
  utils.debug(`ci check: ${context.checkCi}`);
  if (context.checkCi) {
    const inCi = utils.isInCi();
    utils.debug(`running inside ci: ${inCi}`);
    if (inCi) {
      return Promise.reject(new Error('CI environment is not supported'));
    }
  }
  return context;
};
