const utils = require('../utils');

module.exports = context => {
  const optedOut = context.json.migrateToScopedPackages === false;
  utils.debug(`opted out: ${optedOut}`);
  if (optedOut) {
    utils.alert('You have `migrateToScopedPackages` property inside your package.json, which will be removed soon');
    return Promise.reject(new Error('Project is explicitly opted out'));
  }
  return context;
};
