const utils = require('../utils');

module.exports = context => {
  utils.debug(`yarn check: ${context.checkYarn}`);
  if (context.checkYarn) {
    const inYarn = utils.isInYarn();
    utils.debug(`running inside yarn: ${inYarn}`);
    if (inYarn) {
      return Promise.reject(new Error('Yarn package manager is not supported'));
    }
  }
  return context;
};
