const sh = require('shelljs');
const utils = require('../utils');
const path = require('path');

module.exports = context => {
  if (utils.contextHasChanges(context)) {
    utils.info('Removing lock files...');
    sh.rm('-f', ['./package-lock.json', './yarn.lock'].map(fileName => path.join(context.cwd, fileName)));
  }
  return context;
};
